import 'package:flutter/material.dart';
import 'package:furibase/components/bottom_navbar.dart';
import 'package:furibase/components/menu_button.dart';
import 'package:furibase/components/scan_button.dart';
import 'package:furibase/screen/Home_screen.dart';
import 'package:furibase/screen/koleksi_screen.dart';
import 'package:furibase/screen/pustaka_screen.dart';
import 'package:furibase/screen/saya/profile_screen.dart';

class MainMenu extends StatelessWidget {
  const MainMenu({super.key});

  @override
  Widget build(BuildContext context) {
    final Size size = MediaQuery.of(context).size;
    return Container(
      color: Colors.transparent,
      padding: const EdgeInsets.symmetric(vertical: 10),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        mainAxisSize: MainAxisSize.min,
        children: [
          MenuButton(
            label: "E-furibuddy",
            icon: 'icons/furrybuddy.svg',
            onPress:
                () => {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => HomeScreen()),
                  ),
                },
          ),
          MenuButton(
            label: "Koleksi",
            icon: 'icons/koleksi.svg',
            onPress:
                () => {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => KoleksiScreen()),
                  ),
                },
          ),
          SizedBox(width: 120),
          MenuButton(
            label: "Pustaka",
            icon: 'icons/Pustaka.svg',
            onPress:
                () => {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => PustakaScreen()),
                  ),
                },
          ),
          MenuButton(
            label: "Saya",
            icon: 'icons/Saya.svg',
            onPress:
                () => {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => ProfileScreen()),
                  ),
                },
          ),
        ],
      ),
    );
  }
}
